//
//  DataMonitorController.h
//  GlowWorm
//
//  Created by Curtis Jones on 2007.02.08.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <DataMonitorView.h>
#import <GlowWormStat.h>


@interface DataMonitorController : NSObject
{
@public
	/* data monitor stuff */
	IBOutlet NSWindow								* mMonitorWin;				// monitor window
	IBOutlet DataMonitorView				* mMonitorView;				// monitor view
	IBOutlet NSButton								* mEditBtn;						// edit button
	
	BOOL mHault;
	NSNumber * mStatId;
}

- (id)initWithStatId:(NSNumber *)aStatId;
- (void)addSample:(GlowWormStat *)aStat;

- (void)stop;

@end
